GIT-LFS-SMUDGE(1)

NAME
git-lfs-smudge - Git smudge filter that converts pointer in blobs to the actual content

SYNOPSIS
git lfs smudge [path] git lfs smudge --skip [path]

DESCRIPTION
Read a Git LFS pointer file from standard input and write the contents of the corresponding large file to standard output. If needed, download the file's contents from the Git LFS endpoint. The path argument, if provided, is only used for a progress bar.

Smudge is typically run by Git's smudge filter, configured by the repository's Git attributes.

OPTIONS
Without any options, git lfs smudge outputs the raw Git LFS content to standard output.

--skip
    Skip automatic downloading of objects on clone or pull.

KNOWN BUGS
On Windows, Git does not handle files in the working tree larger than 4 gigabytes.

For more information, see: https://github.com/git-lfs/git-lfs/issues/2434.

SEE ALSO
git-lfs-install(1), gitattributes(5).

Part of the git-lfs(1) suite.